List Task Agents
List all Task Agents configured for the project.
Returns a paginated list of Task Agents with their root metadata and embedded revision history. Runtime configuration such as instructions, models, and tools is stored on each revision. Results can be filtered by a case-insensitive partial name match or to Task Agents created by the current user.
Authentication
AuthorizationBearer
API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.
OR
AuthorizationBearer
API key or access token, sent as Authorization: Bearer <token>. The simplest option: create an API key in your dashboard under Settings, then paste it here.
Path parameters
org_id
The unique identifier of the organization.
project_id
The unique identifier of the project.
Query parameters
name
Filter Task Agents by name (case-insensitive partial match).
created_by_me
Filter Task Agents to those created by the current user.
cursor
Pagination cursor
page_limit
Max results per page
seven_day_summary
When true, include a seven day summary of visible run count, average charged credits, and average duration for each returned TaskAgent.
Response
Successfully retrieved Task Agents
results
The list of items returned for the current page.
pagination
Contains pagination information for the result set.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error